Package be.vlaanderen.mercurius.stay.schemas.v1

# Class ObjectFactory

java.lang.Object
be.vlaanderen.mercurius.stay.schemas.v1.ObjectFactory

public class ObjectFactory extends Object
This object contains factory methods for each Java content interface and Java element interface generated in the be.vlaanderen.mercurius.stay.schemas.v1 package.

An ObjectFactory allows you to programmatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ObjectFactory()`
  Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.vlaanderen.mercurius.stay.schemas.v1

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AcceptedCreationResponseType`
  `createAcceptedCreationResponseType()`
  Create an instance of `AcceptedCreationResponseType`
  `AcceptedModificationResponseType`
  `createAcceptedModificationResponseType()`
  Create an instance of `AcceptedModificationResponseType`
  `EWZCfinDF003CreateAdmissionRequest`
  `createEWZCfinDF003CreateAdmissionRequest()`
  Create an instance of `EWZCfinDF003CreateAdmissionRequest`
  `EWZCfinDF003CreateAdmissionResponse`
  `createEWZCfinDF003CreateAdmissionResponse()`
  Create an instance of `EWZCfinDF003CreateAdmissionResponse`
  `EWZCfinDF004ModifyAdmissionRequest`
  `createEWZCfinDF004ModifyAdmissionRequest()`
  Create an instance of `EWZCfinDF004ModifyAdmissionRequest`
  `EWZCfinDF004ModifyAdmissionResponse`
  `createEWZCfinDF004ModifyAdmissionResponse()`
  Create an instance of `EWZCfinDF004ModifyAdmissionResponse`
  `EWZCfinDF005CancelAdmissionRequest`
  `createEWZCfinDF005CancelAdmissionRequest()`
  Create an instance of `EWZCfinDF005CancelAdmissionRequest`
  `EWZCfinDF005CancelAdmissionResponse`
  `createEWZCfinDF005CancelAdmissionResponse()`
  Create an instance of `EWZCfinDF005CancelAdmissionResponse`
  `EWZCfinDF016PushNotificationHCA`
  `createEWZCfinDF016PushNotificationHCA()`
  Create an instance of `EWZCfinDF016PushNotificationHCA`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ObjectFactory

    public ObjectFactory()
    Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.vlaanderen.mercurius.stay.schemas.v1

- ## Method Details

  - ### createEWZCfinDF003CreateAdmissionRequest

    public EWZCfinDF003CreateAdmissionRequest createEWZCfinDF003CreateAdmissionRequest()
    Create an instance of `EWZCfinDF003CreateAdmissionRequest`
    Returns:
      the new instance of `EWZCfinDF003CreateAdmissionRequest`

  - ### createEWZCfinDF003CreateAdmissionResponse

    public EWZCfinDF003CreateAdmissionResponse createEWZCfinDF003CreateAdmissionResponse()
    Create an instance of `EWZCfinDF003CreateAdmissionResponse`
    Returns:
      the new instance of `EWZCfinDF003CreateAdmissionResponse`

  - ### createAcceptedCreationResponseType

    public AcceptedCreationResponseType createAcceptedCreationResponseType()
    Create an instance of `AcceptedCreationResponseType`
    Returns:
      the new instance of `AcceptedCreationResponseType`

  - ### createEWZCfinDF004ModifyAdmissionRequest

    public EWZCfinDF004ModifyAdmissionRequest createEWZCfinDF004ModifyAdmissionRequest()
    Create an instance of `EWZCfinDF004ModifyAdmissionRequest`
    Returns:
      the new instance of `EWZCfinDF004ModifyAdmissionRequest`

  - ### createEWZCfinDF004ModifyAdmissionResponse

    public EWZCfinDF004ModifyAdmissionResponse createEWZCfinDF004ModifyAdmissionResponse()
    Create an instance of `EWZCfinDF004ModifyAdmissionResponse`
    Returns:
      the new instance of `EWZCfinDF004ModifyAdmissionResponse`

  - ### createAcceptedModificationResponseType

    public AcceptedModificationResponseType createAcceptedModificationResponseType()
    Create an instance of `AcceptedModificationResponseType`
    Returns:
      the new instance of `AcceptedModificationResponseType`

  - ### createEWZCfinDF005CancelAdmissionRequest

    public EWZCfinDF005CancelAdmissionRequest createEWZCfinDF005CancelAdmissionRequest()
    Create an instance of `EWZCfinDF005CancelAdmissionRequest`
    Returns:
      the new instance of `EWZCfinDF005CancelAdmissionRequest`

  - ### createEWZCfinDF005CancelAdmissionResponse

    public EWZCfinDF005CancelAdmissionResponse createEWZCfinDF005CancelAdmissionResponse()
    Create an instance of `EWZCfinDF005CancelAdmissionResponse`
    Returns:
      the new instance of `EWZCfinDF005CancelAdmissionResponse`

  - ### createEWZCfinDF016PushNotificationHCA

    public EWZCfinDF016PushNotificationHCA createEWZCfinDF016PushNotificationHCA()
    Create an instance of `EWZCfinDF016PushNotificationHCA`
    Returns:
      the new instance of `EWZCfinDF016PushNotificationHCA`